
;;;
;;; SOKOBAN TRANSLATED MAP:
;;;
;;; x: 8, y: 9
;;;
;;;    
;;; 
;;;  ######
;;; ##  . #
;;; #   # #
;;; # .$  #
;;; #  #$##
;;; ## @ #
;;;  #####
;;; 


(define (problem translated-sokoban)
   (:domain typed-sokoban)
   (:objects
      up down left right - direction
      ball0 ball1 - ball
      f2-3f f3-3f f4-3f f5-3f 
      f1-4f f2-4f f3-4f f5-4f 
      f1-5f f2-5f f3-5f f4-5f f5-5f 
      f1-6f f2-6f f4-6f 
      f2-7f f3-7f f4-7f - navigable
   )

   (:init

      (adjacent f2-3f f3-3f right)
      (adjacent f2-3f f2-4f down)
      (adjacent f3-3f f4-3f right)
      (adjacent f3-3f f2-3f left)
      (adjacent f3-3f f3-4f down)
      (adjacent f4-3f f5-3f right)
      (adjacent f4-3f f3-3f left)
      (adjacent f5-3f f4-3f left)
      (adjacent f5-3f f5-4f down)
      (adjacent f1-4f f2-4f right)
      (adjacent f1-4f f1-5f down)
      (adjacent f2-4f f3-4f right)
      (adjacent f2-4f f1-4f left)
      (adjacent f2-4f f2-5f down)
      (adjacent f2-4f f2-3f up)
      (adjacent f3-4f f2-4f left)
      (adjacent f3-4f f3-5f down)
      (adjacent f3-4f f3-3f up)
      (adjacent f5-4f f5-5f down)
      (adjacent f5-4f f5-3f up)
      (adjacent f1-5f f2-5f right)
      (adjacent f1-5f f1-6f down)
      (adjacent f1-5f f1-4f up)
      (adjacent f2-5f f3-5f right)
      (adjacent f2-5f f1-5f left)
      (adjacent f2-5f f2-6f down)
      (adjacent f2-5f f2-4f up)
      (adjacent f3-5f f4-5f right)
      (adjacent f3-5f f2-5f left)
      (adjacent f3-5f f3-4f up)
      (adjacent f4-5f f5-5f right)
      (adjacent f4-5f f3-5f left)
      (adjacent f4-5f f4-6f down)
      (adjacent f5-5f f4-5f left)
      (adjacent f5-5f f5-4f up)
      (adjacent f1-6f f2-6f right)
      (adjacent f1-6f f1-5f up)
      (adjacent f2-6f f1-6f left)
      (adjacent f2-6f f2-7f down)
      (adjacent f2-6f f2-5f up)
      (adjacent f4-6f f4-7f down)
      (adjacent f4-6f f4-5f up)
      (adjacent f2-7f f3-7f right)
      (adjacent f2-7f f2-6f up)
      (adjacent f3-7f f4-7f right)
      (adjacent f3-7f f2-7f left)
      (adjacent f4-7f f3-7f left)
      (adjacent f4-7f f4-6f up)

      (empty f2-3f)
      (empty f3-3f)
      (empty f4-3f)
      (empty f5-3f)
      (empty f1-4f)
      (empty f2-4f)
      (empty f3-4f)
      (empty f5-4f)
      (empty f1-5f)
      (empty f2-5f)
      (empty f4-5f)
      (empty f5-5f)
      (empty f1-6f)
      (empty f2-6f)
      (empty f2-7f)
      (empty f4-7f)

      (at ball0 f3-5f)
      (at ball1 f4-6f)

      (at-robot f3-7f)
   )

   (:goal
      (and

      (at ball0 f4-3f)
      (at ball1 f2-5f)
      )
   )
)

