
;;;
;;; SOKOBAN TRANSLATED MAP:
;;;
;;; x: 9, y: 10
;;;
;;;     
;;; 
;;; ####
;;; #  #
;;; #  #####
;;; # .    #
;;; ##$    #
;;;  # #$###
;;;  #. @#
;;;  #####
;;; 


(define (problem translated-sokoban)
   (:domain typed-sokoban)
   (:objects
      up down left right - direction
      ball0 ball1 - ball
      f1-3f f2-3f 
      f1-4f f2-4f 
      f1-5f f2-5f f3-5f f4-5f f5-5f f6-5f 
      f2-6f f3-6f f4-6f f5-6f f6-6f 
      f2-7f f4-7f 
      f2-8f f3-8f f4-8f - navigable
   )

   (:init

      (adjacent f1-3f f2-3f right)
      (adjacent f1-3f f1-4f down)
      (adjacent f2-3f f1-3f left)
      (adjacent f2-3f f2-4f down)
      (adjacent f1-4f f2-4f right)
      (adjacent f1-4f f1-5f down)
      (adjacent f1-4f f1-3f up)
      (adjacent f2-4f f1-4f left)
      (adjacent f2-4f f2-5f down)
      (adjacent f2-4f f2-3f up)
      (adjacent f1-5f f2-5f right)
      (adjacent f1-5f f1-4f up)
      (adjacent f2-5f f3-5f right)
      (adjacent f2-5f f1-5f left)
      (adjacent f2-5f f2-6f down)
      (adjacent f2-5f f2-4f up)
      (adjacent f3-5f f4-5f right)
      (adjacent f3-5f f2-5f left)
      (adjacent f3-5f f3-6f down)
      (adjacent f4-5f f5-5f right)
      (adjacent f4-5f f3-5f left)
      (adjacent f4-5f f4-6f down)
      (adjacent f5-5f f6-5f right)
      (adjacent f5-5f f4-5f left)
      (adjacent f5-5f f5-6f down)
      (adjacent f6-5f f5-5f left)
      (adjacent f6-5f f6-6f down)
      (adjacent f2-6f f3-6f right)
      (adjacent f2-6f f2-7f down)
      (adjacent f2-6f f2-5f up)
      (adjacent f3-6f f4-6f right)
      (adjacent f3-6f f2-6f left)
      (adjacent f3-6f f3-5f up)
      (adjacent f4-6f f5-6f right)
      (adjacent f4-6f f3-6f left)
      (adjacent f4-6f f4-7f down)
      (adjacent f4-6f f4-5f up)
      (adjacent f5-6f f6-6f right)
      (adjacent f5-6f f4-6f left)
      (adjacent f5-6f f5-5f up)
      (adjacent f6-6f f5-6f left)
      (adjacent f6-6f f6-5f up)
      (adjacent f2-7f f2-8f down)
      (adjacent f2-7f f2-6f up)
      (adjacent f4-7f f4-8f down)
      (adjacent f4-7f f4-6f up)
      (adjacent f2-8f f3-8f right)
      (adjacent f2-8f f2-7f up)
      (adjacent f3-8f f4-8f right)
      (adjacent f3-8f f2-8f left)
      (adjacent f4-8f f3-8f left)
      (adjacent f4-8f f4-7f up)

      (empty f1-3f)
      (empty f2-3f)
      (empty f1-4f)
      (empty f2-4f)
      (empty f1-5f)
      (empty f2-5f)
      (empty f3-5f)
      (empty f4-5f)
      (empty f5-5f)
      (empty f6-5f)
      (empty f3-6f)
      (empty f4-6f)
      (empty f5-6f)
      (empty f6-6f)
      (empty f2-7f)
      (empty f2-8f)
      (empty f3-8f)

      (at ball0 f2-6f)
      (at ball1 f4-7f)

      (at-robot f4-8f)
   )

   (:goal
      (and

      (at ball0 f2-5f)
      (at ball1 f2-8f)
      )
   )
)

