
;;;
;;; SOKOBAN TRANSLATED MAP:
;;;
;;; x: 8, y: 10
;;;
;;;    
;;; 
;;; ### ###
;;; #.###.#
;;; # #  .#
;;; # $$ @#
;;; #  $  #
;;; #  #  #
;;; #  ####
;;; ####
;;; 


(define (problem translated-sokoban)
   (:domain typed-sokoban)
   (:objects
      up down left right - direction
      ball0 ball1 ball2 - ball
      f3-2f 
      f1-3f f5-3f 
      f1-4f f3-4f f4-4f f5-4f 
      f1-5f f2-5f f3-5f f4-5f f5-5f 
      f1-6f f2-6f f3-6f f4-6f f5-6f 
      f1-7f f2-7f f4-7f f5-7f 
      f1-8f f2-8f - navigable
   )

   (:init

      (adjacent f1-3f f1-4f down)
      (adjacent f5-3f f5-4f down)
      (adjacent f1-4f f1-5f down)
      (adjacent f1-4f f1-3f up)
      (adjacent f3-4f f4-4f right)
      (adjacent f3-4f f3-5f down)
      (adjacent f4-4f f5-4f right)
      (adjacent f4-4f f3-4f left)
      (adjacent f4-4f f4-5f down)
      (adjacent f5-4f f4-4f left)
      (adjacent f5-4f f5-5f down)
      (adjacent f5-4f f5-3f up)
      (adjacent f1-5f f2-5f right)
      (adjacent f1-5f f1-6f down)
      (adjacent f1-5f f1-4f up)
      (adjacent f2-5f f3-5f right)
      (adjacent f2-5f f1-5f left)
      (adjacent f2-5f f2-6f down)
      (adjacent f3-5f f4-5f right)
      (adjacent f3-5f f2-5f left)
      (adjacent f3-5f f3-6f down)
      (adjacent f3-5f f3-4f up)
      (adjacent f4-5f f5-5f right)
      (adjacent f4-5f f3-5f left)
      (adjacent f4-5f f4-6f down)
      (adjacent f4-5f f4-4f up)
      (adjacent f5-5f f4-5f left)
      (adjacent f5-5f f5-6f down)
      (adjacent f5-5f f5-4f up)
      (adjacent f1-6f f2-6f right)
      (adjacent f1-6f f1-7f down)
      (adjacent f1-6f f1-5f up)
      (adjacent f2-6f f3-6f right)
      (adjacent f2-6f f1-6f left)
      (adjacent f2-6f f2-7f down)
      (adjacent f2-6f f2-5f up)
      (adjacent f3-6f f4-6f right)
      (adjacent f3-6f f2-6f left)
      (adjacent f3-6f f3-5f up)
      (adjacent f4-6f f5-6f right)
      (adjacent f4-6f f3-6f left)
      (adjacent f4-6f f4-7f down)
      (adjacent f4-6f f4-5f up)
      (adjacent f5-6f f4-6f left)
      (adjacent f5-6f f5-7f down)
      (adjacent f5-6f f5-5f up)
      (adjacent f1-7f f2-7f right)
      (adjacent f1-7f f1-8f down)
      (adjacent f1-7f f1-6f up)
      (adjacent f2-7f f1-7f left)
      (adjacent f2-7f f2-8f down)
      (adjacent f2-7f f2-6f up)
      (adjacent f4-7f f5-7f right)
      (adjacent f4-7f f4-6f up)
      (adjacent f5-7f f4-7f left)
      (adjacent f5-7f f5-6f up)
      (adjacent f1-8f f2-8f right)
      (adjacent f1-8f f1-7f up)
      (adjacent f2-8f f1-8f left)
      (adjacent f2-8f f2-7f up)

      (empty f3-2f)
      (empty f1-3f)
      (empty f5-3f)
      (empty f1-4f)
      (empty f3-4f)
      (empty f4-4f)
      (empty f5-4f)
      (empty f1-5f)
      (empty f4-5f)
      (empty f1-6f)
      (empty f2-6f)
      (empty f4-6f)
      (empty f5-6f)
      (empty f1-7f)
      (empty f2-7f)
      (empty f4-7f)
      (empty f5-7f)
      (empty f1-8f)
      (empty f2-8f)

      (at ball0 f2-5f)
      (at ball1 f3-5f)
      (at ball2 f3-6f)

      (at-robot f5-5f)
   )

   (:goal
      (and

      (at ball0 f1-3f)
      (at ball1 f5-3f)
      (at ball2 f5-4f)
      )
   )
)

