
;;;
;;; SOKOBAN TRANSLATED MAP:
;;;
;;; x: 9, y: 10
;;;
;;;     
;;; 
;;;    ####
;;;    #  #
;;; #### $##
;;; # @$.  #
;;; # ##   #
;;; #   ## #
;;; #     .#
;;; ########
;;; 


(define (problem translated-sokoban)
   (:domain typed-sokoban)
   (:objects
      up down left right - direction
      ball0 ball1 - ball
      f4-3f f5-3f 
      f4-4f f5-4f 
      f1-5f f2-5f f3-5f f4-5f f5-5f f6-5f 
      f1-6f f4-6f f5-6f f6-6f 
      f1-7f f2-7f f3-7f f6-7f 
      f1-8f f2-8f f3-8f f4-8f f5-8f f6-8f - navigable
   )

   (:init

      (adjacent f4-3f f5-3f right)
      (adjacent f4-3f f4-4f down)
      (adjacent f5-3f f4-3f left)
      (adjacent f5-3f f5-4f down)
      (adjacent f4-4f f5-4f right)
      (adjacent f4-4f f4-5f down)
      (adjacent f4-4f f4-3f up)
      (adjacent f5-4f f4-4f left)
      (adjacent f5-4f f5-5f down)
      (adjacent f5-4f f5-3f up)
      (adjacent f1-5f f2-5f right)
      (adjacent f1-5f f1-6f down)
      (adjacent f2-5f f3-5f right)
      (adjacent f2-5f f1-5f left)
      (adjacent f3-5f f4-5f right)
      (adjacent f3-5f f2-5f left)
      (adjacent f4-5f f5-5f right)
      (adjacent f4-5f f3-5f left)
      (adjacent f4-5f f4-6f down)
      (adjacent f4-5f f4-4f up)
      (adjacent f5-5f f6-5f right)
      (adjacent f5-5f f4-5f left)
      (adjacent f5-5f f5-6f down)
      (adjacent f5-5f f5-4f up)
      (adjacent f6-5f f5-5f left)
      (adjacent f6-5f f6-6f down)
      (adjacent f1-6f f1-7f down)
      (adjacent f1-6f f1-5f up)
      (adjacent f4-6f f5-6f right)
      (adjacent f4-6f f4-5f up)
      (adjacent f5-6f f6-6f right)
      (adjacent f5-6f f4-6f left)
      (adjacent f5-6f f5-5f up)
      (adjacent f6-6f f5-6f left)
      (adjacent f6-6f f6-7f down)
      (adjacent f6-6f f6-5f up)
      (adjacent f1-7f f2-7f right)
      (adjacent f1-7f f1-8f down)
      (adjacent f1-7f f1-6f up)
      (adjacent f2-7f f3-7f right)
      (adjacent f2-7f f1-7f left)
      (adjacent f2-7f f2-8f down)
      (adjacent f3-7f f2-7f left)
      (adjacent f3-7f f3-8f down)
      (adjacent f6-7f f6-8f down)
      (adjacent f6-7f f6-6f up)
      (adjacent f1-8f f2-8f right)
      (adjacent f1-8f f1-7f up)
      (adjacent f2-8f f3-8f right)
      (adjacent f2-8f f1-8f left)
      (adjacent f2-8f f2-7f up)
      (adjacent f3-8f f4-8f right)
      (adjacent f3-8f f2-8f left)
      (adjacent f3-8f f3-7f up)
      (adjacent f4-8f f5-8f right)
      (adjacent f4-8f f3-8f left)
      (adjacent f5-8f f6-8f right)
      (adjacent f5-8f f4-8f left)
      (adjacent f6-8f f5-8f left)
      (adjacent f6-8f f6-7f up)

      (empty f4-3f)
      (empty f5-3f)
      (empty f4-4f)
      (empty f1-5f)
      (empty f4-5f)
      (empty f5-5f)
      (empty f6-5f)
      (empty f1-6f)
      (empty f4-6f)
      (empty f5-6f)
      (empty f6-6f)
      (empty f1-7f)
      (empty f2-7f)
      (empty f3-7f)
      (empty f6-7f)
      (empty f1-8f)
      (empty f2-8f)
      (empty f3-8f)
      (empty f4-8f)
      (empty f5-8f)
      (empty f6-8f)

      (at ball0 f5-4f)
      (at ball1 f3-5f)

      (at-robot f2-5f)
   )

   (:goal
      (and

      (at ball0 f4-5f)
      (at ball1 f6-8f)
      )
   )
)

